Bug 242626 - selinux denial
Summary: selinux denial
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 7
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-05 06:49 UTC by Norm Murray
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 14:09:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Norm Murray 2007-06-05 06:49:25 UTC
Description of problem:
Fresh install of f7, brought to current with yum update

Output from setroubleshoot

Summary
SELinux is preventing access to files with the default label, default_t.
Detailed Description
SELinux permission checks on files labeled default_t are being denied. These
files/directories have the default label on them. This can indicate a labeling
problem, especially if the files being referred to are not top level
directories. Any files/directories under standard system directories, /usr,
/var. /dev, /tmp, ..., should not be labeled with the default label. The default
label is for files/directories which do not have a label on a parent directory.
So if you create a new directory in / you might legitimately get this label.
Allowing Access
If you want a confined domain to use these files you will probably need to
relabel the file/directory with chcon. In some cases it is just easier to
relabel the system, to relabel execute: "touch /.autorelabel; reboot"
Additional Information
Source Context:  system_u:system_r:procmail_t
Target Context:  system_u:object_r:default_t
Target Objects:  root [ dir ]
Affected RPM Packages:  procmail-3.22-19.fc7 [application]filesystem-2.4.6-1.fc7
[target]
Policy RPM:  selinux-policy-2.6.4-8.fc7
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.default
Host Name:  top
Platform:  Linux top 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:47:07 EDT 2007
x86_64 x86_64




I'm guessing this was during prelink, but won't swear to it

Comment 1 Daniel Walsh 2007-06-05 12:32:02 UTC
restorecon -R -v /root
will fix

Fixed in selinux-policy-2.6.4-13.fc7

Comment 2 Norm Murray 2007-06-06 03:25:08 UTC
Thanks. 

Comment 3 Daniel Walsh 2007-08-22 14:09:09 UTC
Closing as fixes are in the current release


Note You need to log in before you can comment on or make changes to this bug.